<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"  
				xmlns:fn="http://www.w3.org/2005/xpath-functions"
				xmlns:functx="http://www.functx.com"
                xmlns:msxsl="urn:schemas-microsoft-com:xslt"
                xmlns:user="http://android.riteshsahu.com">
<xsl:strip-space elements="*"/>
  
<xsl:template match='/'>
<html><head>
<style type="text/css" media="all" >
  body  {font-family:arial,sans-serif; color:#000; font-size:13px; color:#333; }
  table {font-size:1em; margin:0 0 1em; border-collapse:collapse; border-width:0; empty-cells:show;}
  td,th {border:1px solid #ccc; padding:6px 12px; text-align:left; vertical-align:top; background-color:inherit;}
  th    {background-color:#dee8f1;}
</style>
</head>
<body>
    <div id="page">

	  <h2>Messages SMS et MMS</h2>
	  <table>
	   <colgroup>
	        <col style="width:60"/>
	        <col style="width:60"/>
            <col style="width:80px"/>
            <col style="width:120px"/>
            <col style="width:120px"/>
            <col style="width:160px"/>
        </colgroup>
		<tr>
		  <th>Type</th>	
		  <th></th>
		  <th>Sens</th>
		  <th>Numro</th>
		  <th>Contact</th>
		  <th>Date</th>
		  <th>Message</th>
		</tr>
        <xsl:apply-templates/>
		
		</table>
    </div>
</body>
</html>
</xsl:template >

<xsl:template match="smses/*"> 

	<xsl:choose>
	<xsl:when test="(name()= 'mms' and parts/part) or name()='sms' ">
	
	<tr>
	
	<td><b><xsl:value-of select="name()"/></b></td>
				
	<xsl:choose>
				<xsl:when test="name() = 'sms'">
				<td>
						<xsl:if test="@type = 1"><img src="./../../icons/formatactivate.png"/></xsl:if>
						<xsl:if test="@type = 2"><img src="./../../icons/copyinlist.png"/></xsl:if>
						<xsl:if test="@type = 3"><img src="./../../icons/saveas.png"/></xsl:if>
				</td>
				<td>
					<small><i><b>
						<xsl:if test="@type = 1"> Reu</xsl:if>
						<xsl:if test="@type = 2"> Envoy</xsl:if>
						<xsl:if test="@type = 3"> Brouillon</xsl:if>
					</b></i></small>	
				</td>				
				</xsl:when>
				<xsl:otherwise>
					<td>
							<xsl:if test="@msg_box = 1"><img src="./../../icons/formatactivate.png"/></xsl:if>
							<xsl:if test="@msg_box = 2"><img src="./../../icons/copyinlist.png"/></xsl:if>
							<xsl:if test="@msg_box = 3"><img src="./../../icons/saveas.png"/></xsl:if>
					</td>
					<td>
						<small><i><b>
							<xsl:if test="@msg_box = 1"> Reu</xsl:if>
							<xsl:if test="@msg_box = 2"> Envoy</xsl:if>
							<xsl:if test="@msg_box = 3"> Brouillon</xsl:if>
						</b></i></small>
					</td>					
				</xsl:otherwise>
			
	</xsl:choose>

	<td>
		<xsl:if test="addrs/addr[3]/@address != 0"><xsl:value-of select="addrs/addr[1]/@address"/>
			<xsl:text> vers </xsl:text>
		</xsl:if>
		<xsl:value-of select="@address"/>
	</td>
	<td><xsl:value-of select="@contact_name"/></td>
	<td><xsl:value-of select="@readable_date"/></td>

	<td>
		<xsl:choose>
			<xsl:when test="name() = 'sms'">
				<xsl:value-of select="@body"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:for-each select="parts/part">
					<xsl:choose>
					<xsl:when test="@ct = 'application/smil'">
					</xsl:when>
					<xsl:when test="@ct = 'text/plain'">
						<xsl:value-of select="@text"/><br/>
					</xsl:when>
					<xsl:when test="starts-with(@ct,'image/')" >
						<img height="300">
						  <xsl:attribute name="src">
							<xsl:value-of select="concat(concat('data:',@ct), concat(';base64,',@data))"/>
						  </xsl:attribute>
						</img><br/>
					</xsl:when>
					<xsl:otherwise>
						<i>Preview of <xsl:value-of select="@ct"/> not supported.</i><br/>
					</xsl:otherwise>
				  </xsl:choose>
				</xsl:for-each>
			</xsl:otherwise>
		  </xsl:choose>

		  </td>


	</tr>
	
	</xsl:when>
	</xsl:choose>
		
	
</xsl:template>

</xsl:stylesheet>